OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.OES.ReadFormat

Contents

- Extension Support
- Enums

Description

Synopsis

- glGetOESReadFormat :: MonadIO m => m Bool
- gl_OES_read_format :: Bool
- gl_IMPLEMENTATION_COLOR_READ_FORMAT_OES :: GLenum
- gl_IMPLEMENTATION_COLOR_READ_TYPE_OES :: GLenum

# Extension Support

glGetOESReadFormat :: MonadIO m => m Bool

Is the OES_read_format extension supported?

gl_OES_read_format :: Bool

Is the OES_read_format extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetOESReadFormat` in those cases instead.

# Enums

gl_IMPLEMENTATION_COLOR_READ_FORMAT_OES :: GLenum

gl_IMPLEMENTATION_COLOR_READ_TYPE_OES :: GLenum